##
## application.py
## Login : <uli@pu.smp.net>
## Started on  Sun Jan 16 15:27:17 2011 Uli Fouquet
## $Id$
## 
## Copyright (C) 2011 Uli Fouquet
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Student Applications and related components.
"""
import grok
from waeup.sirp.applications.interfaces import IApplicationTerm

class ApplicationTerm(grok.Container):
    """An application term.

    See :class:`waeup.sirp.applications.interfaces.IApplicationTerm`
    for details.
    """
    grok.implements(IApplicationTerm)

    id = None
    description = None
    startdate = None
    enddate = None

    def addApplicationType(self, iface):
        """Add an application type.
        """
        raise NotImplemented()

    def archive(self, id=None):
        """Archive applications stored in this term.
        """
        raise NotImplemented()

    def clear(self, id=None, archive=True):
        """Clear remove given ids or all.
        """
        raise NotImplemented()
